package com.lightinit.hsdatashow.service;

import com.lightinit.hsdatashow.entity.Menu;

import java.util.Dictionary;
import java.util.List;

/**
 * Created by Mr.Yao on 2017/4/13.
 */
public interface IMenuService {
    List<Menu> QueryList(int page, int rows, Dictionary<String,String> conditions);
    List<Menu> QueryList(String username);
    long QueryCount(Dictionary<String,String> conditions);
    boolean InsertMenu(Menu menu);
    boolean DeleteMenu(long id);
    boolean UpdateMenu(Menu menu);
}
